<?
## Email File -> notify buyer when the seller has posted bank details for an auction
## called only from the popup_bank_details.php page!

if ( !defined('INCLUDED') ) { die("Access Denied"); }

$sql_select_auctions = $db->query("SELECT a.auction_id, a.name AS item_name, a.bank_details, 
	u.name AS buyer_name, u.username, u.email FROM " . DB_PREFIX . "winners w
	LEFT JOIN " . DB_PREFIX . "auctions a ON a.auction_id=w.auction_id
	LEFT JOIN " . DB_PREFIX . "users u ON u.user_id=w.buyer_id
	WHERE w.auction_id='" . $mail_input_id . "'");

$send = true; ## always send

## send to all the winners of the auction for which the bank details have been set/changed
while ($bank_details = $db->fetch_array($sql_select_auctions))
{
	## text message - editable
	$text_message = 'Kre/Dear %1$s,
	
Slgeren af auktionen %2$s, som du har vundet, har ndret p sine bank oplysninger. / The seller of the auction %2$s, which you have won, has posted/changed his bank details.
	
Bank oplysningerne er nu: / The bank details are:
	
%3$s
	
For mere info om dit kb, g til "Vundre Vare" , ved at klikke p nedenstende link: / For more details about the purchase, please access the "Won Items" page, by clicking on the link below:
	
%4$s
	
Nr du er kommet til siden som nvnt ovenfor, klikker du p "Se Bank Detaljer" ved siden af Vundne vare. / After you have accessed the page above, click on the "View Bank Details" link next to the item won.
	
Med Venlig Hilsen, / Best regards
The %5$s staff';
	
	## html message - editable
	$html_message = 'Kre / Dear %1$s, <br>
<br>
Slgeren af auktionen <b>%2$s</b>, som du har vundet, har ndret p sine bank oplysninger./The seller of the auction <b>%2$s</b>, which you have won, has posted/changed his bank details. <br>
<br>
Bank oplysningerne er nu:/The bank details are: <br>
<ul>
	<li>%3$s </li>
</ul>
<br>
For mere info om dit kb, g til [ <a href="%4$s">Vundne Vare</a> ] ./ For more details about the purchase, please access the [ <a href="%4$s">Won Items</a> ] page. <br>
<br>
Nr du er kommet til siden som nvnt ovenfor, klikker du p "Se Bank Detaljer" ved siden af Vundne vare. / After you have accessed the page above, click on the "View Bank Details" link next to the item won. <br>
<br>
Med Venlig Hilsen,/Best regards <br>
The %5$s staff';
	
	
	$items_won_link = SITE_PATH . 'login.php?redirect=' . process_link('members_area', array('page' => 'bidding', 'section' => 'won_items'));
	//$auction_link = process_link('auction_details', array('name' => $bank_details['item_name'], 'auction_id' => $bank_details['auction_id']));
	
	$text_message = sprintf($text_message, $bank_details['buyer_name'], $bank_details['item_name'], $bank_details['bank_details'], $items_won_link, $setts['sitename']);
	$html_message = sprintf($html_message, $bank_details['buyer_name'], $bank_details['item_name'], $bank_details['bank_details'], $items_won_link, $setts['sitename']);
	
	send_mail($bank_details['email'], 'Auction ID: ' . $bank_details['auction_id'] . ' - Bank Detaljer ndret', $text_message, 
		$setts['admin_email'], $html_message, null, $send);
}
?>