<?
## Email File -> notify seller if multiple items have been relisted (manually or automatically)
## called only from the main_cron.php page

if ( !defined('INCLUDED') ) { die("Access Denied"); }

$sql_select_auctions = $db->query("SELECT u.name, u.username, u.email FROM " . DB_PREFIX . "auctions a 
	LEFT JOIN " . DB_PREFIX . "users u ON a.owner_id=u.user_id WHERE 
	a.is_relisted_item=1 AND a.notif_item_relisted=0 GROUP BY a.owner_id");

while ($row_details = $db->fetch_array($sql_select_auctions))
{
	$send = true; ## always sent

	## text message - editable
	$text_message = 'Kre/Dear %1$s,

En eller flere auktioner du har krende p %2$s er blevet genstartet./One or more auctions that you have listed on %2$s have been relisted.

Klik nedenstende link for at se dem:/To view the details of the auctions that have been relisted, please click on the URL below:

%3$s

Med venlig hilsen,/Best regards
The %2$s staff';

## html message - editable
$html_message = 'Kre/Dear %1$s, <br>
<br>
En eller flere auktioner du har krende p %2$s er blevet genstartet. /One or more auctions that you have listed on %2$s have been relisted.<br>
<br>
[ <a href="%3$s">Klik her</a> ] for at se omtalte auktioner./[ <a href="%3$s">Click here</a> ] to view the details of the auctions that have been relisted. <br>
<br>
Med venlig hilsen,/Best regards <br>
The %2$s staff';


	$items_open_link = SITE_PATH . 'login.php?redirect=' . process_link('members_area', array('page' => 'selling', 'section' => 'open'));
	
	$text_message = sprintf($text_message, $row_details['name'], $setts['sitename'], $items_open_link);
	$html_message = sprintf($html_message, $row_details['name'], $setts['sitename'], $items_open_link);
	
	send_mail($row_details['email'], 'Auktion(er) Genstartet', $text_message, 
		$setts['admin_email'], $html_message, null, $send);
}
?>