<?
## Email File -> confirm posting to the seller
## called only from the sell_item.php page

if ( !defined('INCLUDED') ) { die("Access Denied"); }

$row_details = $db->get_sql_row("SELECT a.*, u.name AS user_name, u.email, u.mail_confirm_to_seller FROM " . DB_PREFIX . "auctions a
	LEFT JOIN " . DB_PREFIX . "users u ON u.user_id=a.owner_id WHERE a.auction_id='" . $mail_input_id . "'");

$send = ($row_details['mail_confirm_to_seller']) ? true : false;

## text message - editable
$text_message = 'Kre/Dear %1$s,

Du har startet en auktion p %2$s: / You have startet a auction on %2$s:

	- auktion navn/auction name: %3$s
	- auktion type/auction type: %4$s
	- antal tilbudt/quantity offered: %5$s

	- kategori/category: %6$s
	- ekstra kategori/additional category: %7$s

	- start pris/start price: %8$s
	- kb nu pris/buy out price: %9$s
	- mindste pris/reserve price: %10$s

	- slutter den/closing date: %11$s

For at se auktionen skal du klikke nedenstende link/To view the auction details page, please click on the link below:

%12$s

Tak fordi du brugte vores side./Thank you for your submission

Med Venlig Hilsen, / Best regards
The %13$s staff';

## html message - editable
$html_message = 'Kre/Dear %1$s, <br>
<br>
Du har startet en ny auktion p <b>%2$s</b> / You have startet a new auction at <b>%2$s</b>: <br>
<ul>
	<li>auktion navn/auction name: <b>%3$s</b> </li>
	<li>auktion type/auction type: <b>%4$s</b> </li>
	<li>antal tilbudt/quantity offered: <b>%5$s</b> </li>
</ul>
<ul>
	<li>kategori/category: <b>%6$s</b> </li>
	<li>ekstra kategori/additional category: <b>%7$s</b> </li>
</ul>
<ul>
	<li>start pris/start price: <b>%8$s</b> </li>
	<li>kb nu pris/buy out price: <b>%9$s</b> </li>
	<li>mindste pris/reserve price: <b>%10$s</b> </li>
</ul>
<ul>
	<li>slutter den/closing date: <b>%11$s</b> </li>
</ul>
[ <a href="%12$s">Klik her</a> ] for at g til auktionssiden. [ <a href="%12$s">Click here</a> ] to view the auction details page. <br>
<br>
Tak fordi du brugte vores side./Thank you for your submission. <br>
<br>
Med Venlig hilsen,/Best regards <br>
The %13$s staff';


$main_category = category_navigator($row_details['category_id'], false, true, null, null, GMSG_NONE_CAT);
$addl_category = category_navigator($row_details['addl_category_id'], false, true, null, null, GMSG_NONE_CAT);

$start_price = $fees->display_amount($row_details['start_price'], $row_details['currency']);
$buyout_price = $fees->display_amount($row_details['buyout_price'], $row_details['currency']);
$reserve_price = $fees->display_amount($row_details['reserve_price'], $row_details['currency']);

$closing_date = show_date($row_details['end_time']);

$auction_link = process_link('auction_details', array('name' => $row_details['name'], 'auction_id' => $row_details['auction_id']));


$text_message = sprintf($text_message, $row_details['user_name'], $setts['sitename'], $row_details['name'], $row_details['auction_type'], 
	$row_details['quantity'], $main_category, $addl_category, $start_price, $buyout_price, $reserve_price, $closing_date, $auction_link, 
	$setts['sitename']);
	
$html_message = sprintf($html_message, $row_details['user_name'], $setts['sitename'], $row_details['name'], $row_details['auction_type'], 
	$row_details['quantity'], $main_category, $addl_category, $start_price, $buyout_price, $reserve_price, $closing_date, $auction_link, 
	$setts['sitename']);
	
send_mail($row_details['email'], 'Auktion Bekrftigelse', $text_message, 
	$setts['admin_email'], $html_message, null, $send);
?>