<?
## Email File -> notify bidder when he is outbid
## called only from the bid.php page!

if ( !defined('INCLUDED') ) { die("Access Denied"); }

$sql_select_auctions = $db->query("SELECT a.auction_id, a.name AS item_name,  
	u.name AS buyer_name, u.username, u.email, u.mail_outbid FROM " . DB_PREFIX . "bids b
	LEFT JOIN " . DB_PREFIX . "auctions a ON a.auction_id=b.auction_id
	LEFT JOIN " . DB_PREFIX . "users u ON u.user_id=b.bidder_id
	WHERE b.auction_id='" . $mail_input_id . "' AND b.bid_out=1 AND b.bid_invalid=0 AND b.email_sent=0");

$send = true; ## always send

## send to all the winners of the auction for which the bank details have been set/changed
while ($bid_details = $db->fetch_array($sql_select_auctions))
{
	## text message - editable
	$text_message = 'Kre/Dear %1$s,
	
Du er blevet overbudt p en auktion som du har budt p, %2$s./You have been outbid on an auction you have placed a bid on, %2$s.
	
Klik p nedenstende link for at g til auktionen:/To view the details of the auction, please click on the URL below:
	
%3$s
	
For at se de andre bud, klik venligst flgende link:/To view the bid history for the auction, please click on the following link:
	
%4$s
	
Med venlig hilsen,/Best regards
The %5$s staff';
	
	## html message - editable
	$html_message = 'Kre/Dear %1$s, <br>
<br>
Du er blevet overbudt p en auktion som du har budt p, %2$s./You have been outbid on an auction you have placed a bid on, %2$s. <br>
<br>
[ <a href="%3$s">Klik her</a> ] for at g til auktionssiden./[ <a href="%3$s">Click here</a> ] to view the auction details page. <br>
<br>
For at se alle budt p auktionen [ <a href="%4$s">klik her</a> ]./To view the bid history for the auction, please [ <a href="%4$s">click here</a> ]. <br>
<br>
Med venlig hilsen,/Best regards <br>
The %5$s staff';
	
	
	$bid_history_link = SITE_PATH . 'login.php?redirect=' . process_link('bid_history', array('auction_id' => $bid_details['auction_id']));
	$auction_link = process_link('auction_details', array('name' => $bid_details['item_name'], 'auction_id' => $bid_details['auction_id']));
	
	$text_message = sprintf($text_message, $bid_details['buyer_name'], $bid_details['item_name'], $auction_link, $bid_history_link, $setts['sitename']);
	$html_message = sprintf($html_message, $bid_details['buyer_name'], $bid_details['item_name'], $auction_link, $bid_history_link, $setts['sitename']);
	
	send_mail($bid_details['email'], 'Auction ID: ' . $bid_details['auction_id'] . ' - Du blev overbudt', $text_message, 
		$setts['admin_email'], $html_message, null, $send);
}
?>